<?php

declare(strict_types=1);

namespace Plugin\cin_ajax_search_5\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

final class Migration20231212154702 extends Migration implements IMigration
{
  public function up(): void
  {
    $this->execute('ALTER TABLE `xplugin_cin_ajax_search_5_log` CHANGE `action` `action` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL;');
  }

  public function down(): void
  {
    if ($this->doDeleteData()) {
      $this->execute('SELECT 1');
    }
  }
}